#ifndef DOGM162_H
#define	DOGM162_H

#define AFF_DATA    LATB
#define AFF_RS      LATCbits.LATC0
#define AFF_RW      LATCbits.LATC1
#define AFF_E       LATCbits.LATC2
#define DATA_CLK    PORTCbits.RC5
#define DATA_SI     PORTCbits.RC6
#define DATA_CE     PORTCbits.RC7

void DOGM_Init(void);
void DOGM_command(unsigned char cmd);
void DOGM_command_once(unsigned char cmd);
void DOGM_writechar(char data);
void DOGM_position(unsigned char line, unsigned char position);
void DOGM_Display(unsigned int character);
void DOGM_data(unsigned char data);
void DOGM_Clear(void);

void DelayMS(int tmp);
void Delay10US(int tmp);

#endif

